{% extends "base.html" %}


{% block content %}
<div class="continer"   >
    <form name="question" action="ask_question" method="POST" class="container col-md-7  pt-3 pd-3">
            <div class="input-group md-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Ask Question</span>
                    </div>
                    <textarea class="form-control" aria-label="With textarea" name="quest"></textarea>
            </div>
            <button type="submit" class="btn btn-outline-secondary  pl-5 pr-5 mt-3 " >Ask</button>
            
        
    </form>
        {% for post in posts %}
        <div class="row">
            <div class="container p-3 col-md-7">
                <div class="card  p-3">
                    <div class="card-header text-muted" style="display: inline-block">
                            <!-- <form name="delete" action="post/answers" method="POST"> -->
                        <a class="text-primary disabled" href="#" style="text-decoration:none">
                            By {{post.author}}
                        </a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{{post.date}}
                        <!-- &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;                        
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;-->

                        <input type="hidden" name="question" value="{{post.question}}">
                        {% if not current_user.is_anonymous %}
                     <a href ="/delete/posts/{{post.id}}">   <button type="submit" name="answer" value='answer'class="btn btn btn-danger float-right pl-3 pr-3 ml-2">Delete</button></a>
                        <a href ="/post/{{post.id}}/answers">  <button type="submit" name="delete" value='delete'class="btn  btn btn-success float-right pl-3 pr-3 ">Answer</button></a>
                            {% endif %}
                    </form>
                    </div>
                    <div class="card-body">
                        <!-- <h5 class="card-title">What is your favroute language</h5> -->
                        <p class="card-text pl-3">
                                <div class="media">
                                        <img src="../static/avtar.png" class="" alt="...">
                                        <div class="media-body p-3">
                                          <!-- <h5 class="mt-0">Media heading</h5> -->
                                         <a href="/post/{{post.id}}/answers"><strong> {{post.question}}</strong></a>
                                        {% for answer in post.answer %}
                                         <hr>
                                         <div class="media mt-5">
                                           <a class="mr-3" href="#">
                                             <img src="../static/avtar.png" class="mr-3" alt="...">
                                           </a>
                                           <div class="media-body mt-3">
                                             <h5 class="mt-0"><a style="color:deepskyblue;text-decoration: none">{{answer['author']}}</a></h5>
                                             <!-- Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus. -->
                                               {{answer['ans']}}
                                           </div>
                                         </div>
                                        {% endfor %}
                                        </div>
                                      </div>
                        </p>
                        <!--<a href="#" class="btn btn-primary">Go somewhere</a> -->
    
                    </div>
                </div>
            </div>
    
        </div>
        {% endfor %}
    
    </div>


{% endblock %}